/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package level;

import java.awt.Color;

/**
 * A class which stores the paint objects used for drawing chunks.
 */
public class UnitPaint_Chunk extends UnitPaint {
	/**
	 * The integer selects a variant.
	 */
	public UnitPaint_Chunk(int i) {
		switch (i % 8) {
		case 0:
			paint = Color.pink;
			break;
		case 1:
			paint = Color.yellow;
			break;
		case 2:
			paint = Color.blue;
			break;
		case 3:
			paint = Color.magenta;
			break;
		case 4:
			paint = Color.orange;
			break;
		case 5:
			paint = Color.red;
			break;
		case 6:
			paint = Color.green;
			break;
		default:
			paint = Color.cyan;
		}
	}
}
