/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package tessellation;

/**
 * A triple consisting of a position, a direction and a bool.
 */
public class PosDirBoolTuple {
	public PosDirBoolTuple(Position po, Direction d, boolean b) {
		pos = po;
		dir = d;
		bool = b;
	}

	//FIXME these shouldn't be public! Add accessors
	public Position pos;
	public Direction dir;
	public boolean bool;

	public boolean equals(Object other) {
		if (other instanceof PosDirBoolTuple)
			return ((pos.equals(((PosDirBoolTuple) other).pos))
					&& (dir.equals(((PosDirBoolTuple) other).dir)) && (bool = ((PosDirBoolTuple) other).bool));
		else
			return false;
	}
}